Package oracle.nosql.driver.ops

# Class RetryStats

java.lang.Object
oracle.nosql.driver.ops.RetryStats

public class RetryStats extends Object
A class that maintains stats on retries during a request. This object tracks statistics about retries performed during requests. It can be accessed from within retry handlers (see `RetryHandler`) or after a request is finished by calling `Request.getRetryStats()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `getDelayMs()`
  Returns the total time delayed (slept) between retry events.
  `Map<Class<? extends Throwable>,Integer>`
  `getExceptionMap()`
  Returns the map of exceptions that have been retried
  `int`
  `getNumExceptions(Class<? extends Throwable> e)`
  Returns the number of exceptions of a particular class.
  `int`
  `getRetries()`
  Returns the number of retry events.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getNumExceptions

    public int getNumExceptions(Class<? extends Throwable> e)
    Returns the number of exceptions of a particular class. If no exceptions of this class were added to this stats object, the return value is zero.
    Parameters:
      `e` - the class of exception to query
    Returns:
      the number of exceptions of this class

  - ### getDelayMs

    public int getDelayMs()
    Returns the total time delayed (slept) between retry events.
    Returns:
      time delayed during retries, in milliseconds. This is only the time spent locally in sleep() between retry events.

  - ### getRetries

    public int getRetries()
    Returns the number of retry events.
    Returns:
      number of retry events

  - ### getExceptionMap

    public Map<Class<? extends Throwable>,Integer> getExceptionMap()
    Returns the map of exceptions that have been retried
    Returns:
      the map

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`